Skip to content
Gowd Platform Production

Query a CNPJ in the Federal Revenue

GET
/order/v1/banking/cnpj

Returns the registration data and tax situation of a legal entity, queried by its CNPJ (numeric or alphanumeric, with or without mask).

cnpj
required
string

Company CNPJ document number (numeric or alphanumeric, with or without mask)

Example
62601828000152
origin
string
default: WEB
Allowed values: MOBILE WEB

Origin of the search by type of device, MOBILE or WEB

Example
WEB

The resource was returned successfully

object
cnpj
required

CNPJ document number

string
companyName
required

Name of the company

string
businessName
required

Business name or trade name of the company

string
capital
required

Capital of the company

string
companySize
required

Size or scale of the company

string
legalNature
required

Legal nature of the company

string
headquarterBranch
required

Headquarter or branch location of the company

string
economicActivity
required

Primary economic activity of the company

string
secondaryEconomicActivity
required

Secondary economic activity of the company

string
secondaryEconomicActivityList
required

List of secondary economic activities

Array<string>
email
required

Email address of the company

string
telephone
required

Telephone number of the company

string
address
required
object
neighborhood
required
string
zipCode
required
string
complement
required
string
street
required
string
city
required
string
number
required
string
state
required
string
licenseExempt
required
Array<object>
object
economicActivity
required
string
agency
required
string
scope
required
string
conditions
required
string
corporateOwnershipStructure
required
Array<object>
object
name
required
string
qualification
required
string
legalRepresentativeName
required
string
legalRepresentativeQualification
required
string
countryOfOrigin
required
string
registrationStatus
required

Registration status of the company

string
registrationStatusDate
required

Date of the registration status (ISO)

string
registrationStatusObservations
required

Observations on the registration status

string
specialSituation
required

Special situation status of the company

string
specialSituationDate
required

Date of the special situation status (ISO)

string
queryDateTime
required

Date and time of the query (ISO)

string
siteReceipt
required

URL of the Federal Revenue receipt

string
status
required

Status of the query

string
statusDescription
required

Description of the status, when it is not a success

string
nullable
object
error
string
Example
INVALID_REQUEST
message
string
details
Array<object>
object
field
string
issue
string
description
string
Example
[
{
"field": "field_name",
"issue": "INVALID",
"description": "Field is invalid"
}
]

Unauthorized Request

object
error
string
Example
UNAUTHORIZED
message
string
Example
Unauthorized Request
details
Array<object>
object
field
string
issue
string
description
string
Example
[]
object
error
string
Example
FORBIDDEN_ERROR
message
string
details
Array<object>
object
field
string
issue
string
description
string
Example
[]

Resource not found

object
error
string
Example
NOT_FOUND
message
string
Example
Resource not found
details
Array<object>
object
field
string
issue
string
description
string
Example
[]
object
error
string
Example
INTERNAL_ERROR
message
string
details
Array<object>
object
field
string
issue
string
description
string
Example
[]